import service from '@/utils/request'

// 创建绑定
export const createAiPresetBinding = (data) => {
  return service({
    url: '/aiPresetBinding/createAiPresetBinding',
    method: 'post',
    data
  })
}

// 删除绑定
export const deleteAiPresetBinding = (data) => {
  return service({
    url: '/aiPresetBinding/deleteAiPresetBinding',
    method: 'delete',
    data
  })
}

// 更新绑定
export const updateAiPresetBinding = (data) => {
  return service({
    url: '/aiPresetBinding/updateAiPresetBinding',
    method: 'put',
    data
  })
}

// 查询绑定
export const findAiPresetBinding = (params) => {
  return service({
    url: '/aiPresetBinding/findAiPresetBinding',
    method: 'get',
    params
  })
}

// 获取绑定列表
export const getAiPresetBindingList = (params) => {
  return service({
    url: '/aiPresetBinding/getAiPresetBindingList',
    method: 'get',
    params
  })
}
